ruvuoai
2009-06-12 19:30
浏览 227
已采纳

弄了2天了,刚下载解压的eclipse启动不了,下面是双击eclipse.exe后的截图,求教高手

刚下载解压的eclipse启动不了,下面是双击eclipse.exe后的截图,求教高手
jdk安装路径为:D:\Program Files\Java\jdk1.5.0_08
eclipse版本为:3.42平台的eclipse-jee-ganymede-SR2-win32
eclipse解压路径为:F:\setup\eclipse
双击后的出错截图如下:

eclipse启动错误

这几天公司正赶项目,好郁闷


问题补充:
可是原来的参数是:
-showsplash
org.eclipse.platform
--launcher.XXMaxPermSize
128M
-framework
plugins\org.eclipse.osgi_3.4.3.R34x_v20081215-1030.jar
-vmargs
-Dosgi.requiredJavaVersion=1.5
-Xms40m
-Xmx512m
我只要随便修改下,比如:
-showsplash org.eclipse.platform--launcher.XXMaxPermSize
128M
-framework
plugins\org.eclipse.osgi_3.4.3.R34x_v20081215-1030.jar
-vmargs
-Dosgi.requiredJavaVersion=1.5
-Xms40m
-Xmx512m
不该那个内存参数也可以,问题是进去后随便一个操作,就有可能卡死..
最重要的疑问是,问什么以前下载下来解压就可以了,现在为什么不可以呢?
问题补充:
上面我补充的参数格式没有排版好,再把我修改后的参数贴一次:
-showsplash org.eclipse.platform

--launcher.XXMaxPermSize
128M
-framework
plugins\org.eclipse.osgi_3.4.3.R34x_v20081215-1030.jar
-vmargs
-Dosgi.requiredJavaVersion=1.5
-Xms40m
-Xmx512m
我只是把
-showsplash
org.eclipse.platform
变成了
-showsplash org.eclipse.platform
就可以了,什么问题呢?
问题补充:
谢谢lovewhzlq的解答!不过还是有点疑问:问什么同样的eclipse版本,前段时间就OK,自从我打了360卫士提示的微软前几天发布的5月份xp更新(也有可能做了别的修改)包然后就不能打开了,把打的更新包卸载掉还是不行,然后我就重新把原来下载的eclipse包解压,还是不能代开eclipse,所以我就很纳闷..

3条回答 默认 最新

相关推荐 更多相似问题